<div class="container">
    <div class="row">
            <div class="col-sm">

                <!--Calendário-->
                <h3> Período
                <span class="badge badge-secondary">
                    <i class="fas fa-calendar-minus"></i>
                </span>
                </h3>
                <ngb-datepicker #dp (select)="onDateSelection($event)" [(ngModel)]="model" [markDisabled]="isDisabled" [dayTemplate]="period" (navigate)="date = $event.next" [displayMonths]="2" outsideDays="hidden"></ngb-datepicker>
                <ng-template #period let-date="date" let-focused="focused" let-disabled="disabled">
                    <span class="custom-day"
                        [class.text-muted]="disabled"
                        [class.focused]="focused"
                        [class.range]="isRange(date)"
                        [class.faded]="isHovered(date) || isInside(date)"
                        [class.disabled]="isDisabled"
                        (mouseenter)="hoveredDate = date"
                        (mouseleave)="hoveredDate = null">
                    {{ date.day }}
                    </span>
                </ng-template>
            </div>

            <!--Detalhes da reserva-->
            <div class="col-sm">
                <h3> Detalhes da reserva
                    <span class="badge badge-secondary">
                        <i class="fas fa-info-circle"></i>
                    </span>
                </h3>
                <div class="card">
                    <div class="card-body">
                        <div class="mt-3">
                            <h6 class="card-subtitle mb-2 text-muted">Período</h6>
                            <p>{{fromDate.day | json}}/{{fromDate.month | json}}/{{fromDate.year | json}}</p>
                            <p *ngIf="toDate != null">a</p>
                            <p *ngIf="toDate != null">{{toDate.day | json}}/{{toDate.month | json}}/{{toDate.year | json}}</p>

                            <h6 class="card-subtitle mb-2 text-muted">Preço a ser pago</h6>
                            <pre>R$ {{price}},00</pre>
                        </div>
                        <a class="btn btn-primary btn-lg btn-danger mt-3" role="button" (click)="reservar()">Efetuar reserva</a>
                    </div>
                </div>
            </div>
        </div>
</div>
